Bug #547

psxy -Se and -SE

Added by Chenjian over 3 years ago. Updated about 3 years ago.

Status:ClosedStart date:2014-04-21
Priority:NormalDue date:
Assignee:Paul% Done:

100%

Category:-
Target version:Candidate for next bugfix release
Affected version:5.x-svn Platform:

Description

Hi,

I'm using psxy -S option to plot error ellipse. Both -Se and -SE were tested (my script and plotting result in ps are attached below for your test). The two ellipses should overlap. -Se worked fine, but -SE gave this kind of issue (See the *.ps file attached) when the error ellipse intersects with the map margins.

I'm not sure if this is a bug or just a projection issue. Sometimes I got this problem when I played with polygons using GIS software.

Thanks!

Chenjian

ErrorEllipseTest.sh Magnifier (358 Bytes) Chenjian, 2014-04-21 08:24

ErrorEllipseTest.ps (210 KB) Chenjian, 2014-04-21 08:24

Associated revisions

Revision 13070
Added by Paul over 3 years ago

Added two tests derived from issue #547 on ellipse clipping

History

#1 Updated by Paul over 3 years ago

  • Status changed from New to In Progress
  • Assignee set to Paul
  • Target version set to Candidate for next bugfix release

Thanks for this. We are aware of the -SE clipping problem but the -Se has another problem in that it is not repeating the symbol across the periodic boundary. I'm adding a modified version of your script to our test database.

#2 Updated by Paul about 3 years ago

Update: The -Se periodicity problem has been fixed in branch 5.2 and will become available when that is released.

#3 Updated by Chenjian about 3 years ago

Many Thanks! It works now.

#4 Updated by Paul about 3 years ago

  • Status changed from In Progress to Resolved
  • % Done changed from 0 to 100

Marking this issue as resolved.

#5 Updated by Paul about 3 years ago

  • Status changed from Resolved to Closed

Changing this to closed.

Also available in: Atom PDF